Loading...
Searching...
No Matches
XrdSysXSLock.hh File Reference
`#include <cerrno>`
`#include "XrdSys/XrdSysPthread.hh"`
Include dependency graph for XrdSysXSLock.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | XrdSysXSLock

## Enumerations

enum | XrdSysXS_Type { xs_None = 0 , xs_Shared = 1 , xs_Exclusive = 2 }

## Enumeration Type Documentation

## XrdSysXS_Type

enum XrdSysXS_Type

Enumerator
xs_None |
xs_Shared |
xs_Exclusive |

Definition at line 38 of file XrdSysXSLock.hh.

{xs_None = 0, xs_Shared = 1, xs_Exclusive = 2};
xs_Exclusive
@ xs_Exclusive
Definition XrdSysXSLock.hh:38
xs_None
@ xs_None
Definition XrdSysXSLock.hh:38
xs_Shared
@ xs_Shared
Definition XrdSysXSLock.hh:38